/*
 *	Ohio Trollius
 *	Copyright 1995 The Ohio State University
 *	GDB
 *
 *	$Log:	events.h,v $
 * Revision 6.0  96/02/29  13:53:21  gdburns
 * Ohio Release
 * 
 * Revision 5.2.1.1  96/02/18  01:38:04  gdburns
 * Replace EVDLMOM with EVDLI.
 * 
 * Revision 5.2  94/08/22  14:00:30  gdburns
 * Ohio Release
 * 
 * Revision 5.1.1.1  94/07/27  18:08:31  raja
 * Add EVXMPI.
 * 
 * Revision 5.1  94/05/18  12:44:21  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/04/22  12:48:49  gdburns
 * Ohio Release
 * 
 *	Function:	- system events
 */

#ifndef _EVENTS
#define _EVENTS

#ifndef	NOTEVENT
#define	NOTEVENT	0x80000001
#endif

/*
 * core server events
 */
#define EVROUTER	-1
#define EVBOOTD		-2
#define EVMALLOCD	-3
#define EVDLOINIT	-4
#define EVDLI		-5
#define EVCASTD		-6
#define EVFILED		-7
#define EVLOADD		-9
#define EVBFORWARD	-10
#define EVKENYAD	-11
#define EVECHOD		-13
#define EVBUFFERD	-14
#define EVFLATD		-15

/*
 * special local layer events
 */
#define EVPAUSE		-17
#define EVSTOP		-18

#define EVDL0		-25
#define EVDL1		-26
#define EVDL2		-27
#define EVDL3		-28

/*
 * optional server events
 */
#define EVLEDD		-33
#define EVSPEAKD	-34
#define EVI860D		-35
#define EVTRACED	-37
#define EVMTVD		-38
#define EVMEMD		-39
#define EVBRENDAD	-40
#define EVGROUPD	-41

/*
 * optional tools
 */
#define EVIPCDIAG	-0x31
#define EVXMPI		-0x32

#endif
