/*
 *	Ohio Trollius
 *	Copyright 1995 The Ohio State University
 *	GDB
 *
 *	$Log:	typical.h,v $
 * Revision 6.0  96/02/29  13:54:08  gdburns
 * Ohio Release
 * 
 * Revision 5.2.1.1  95/02/22  13:31:51  gdburns
 * Add LAMERROR.  Remove HOME.
 * 
 * Revision 5.2  94/08/22  14:00:49  gdburns
 * Ohio Release
 * 
 * Revision 5.1  94/05/18  12:44:45  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/04/22  12:49:11  gdburns
 * Ohio Release
 *
 *	Function:	- typically used constants and macros
 */

#ifndef _TYPICAL
#define _TYPICAL

/*
 * constants
 */
#ifndef FALSE
#define FALSE		0
#define TRUE		1
#endif

#ifndef ERROR
#define ERROR		-1
#endif

#define LAMERROR	-1

/*
 * macros
 */
#define max(a,b)	(((a) > (b)) ? (a) : (b))
#define min(a,b)	(((a) < (b)) ? (a) : (b))

#endif
