/*	vote.h

	AFAPI voting and scheduling function declarations.

	July 1996 by H. Dietz
*/


#ifndef _P_VOTE_H
#define _P_VOTE_H 960801


extern int
p_first(register p_1u f);

extern int
p_count(register p_1u f);

extern int
p_quantify(register p_1u f);

extern int
p_voteCount(register int v);

extern p_bar
p_vote(register int v);

#define	P_DECLARE(suffix) \
extern int \
p_matchCount##suffix(register p_##suffix v);

P_BETA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern p_bar \
p_match##suffix(register p_##suffix v);

P_BETA

#undef	P_DECLARE

#define	P_DECLARE(suffix) \
extern int \
p_rank##suffix(register p_##suffix d);

P_ALPHA

#undef	P_DECLARE


#endif
