/*
 *	Ohio Trollius
 *	Copyright 1995 The Ohio State University
 *	GDB
 *
 *	$Log:	p_main.c,v $
 * Revision 6.0  96/02/29  13:31:43  gdburns
 * Ohio Release
 * 
 * Revision 5.2.1.1  96/02/27  20:11:25  gdburns
 * general modernization
 * 
 * Revision 5.2  94/08/22  13:50:28  gdburns
 * Ohio Release
 * 
 * Revision 5.1  94/05/18  10:42:17  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/04/22  12:27:38  gdburns
 * Ohio Release
 * 
 *	Function:	- remote process server
 */

#include <signal.h>

#include <kreq.h>
#include <priority.h>

/*
 * external functions
 */
extern void		(*_lam_signal())();
extern void		pwipe();

/*
 * local functions
 */
static void		pbail();


main(argc, argv)

int			argc;
char			*argv[];

{
	_lam_signal(SIGHUP, pbail);
/*
 * Attach to kernel.
 */
	if (kinit(PRDAEMON)) lampanic("kenyad (kinit)");
/*
 * Initialize.
 */
	p_init(&argc, argv);
/*
 * server loop
 */
	for (;;) {

		if (!kenyad()) {
			kexit(1);
			break;
		}
	}

	return(0);
}

/*
 *	pbail
 *
 *	Function:	- clean up before exiting
 */
static void
pbail()

{
	pwipe();
	exit(0);
}
