/*
 *	Ohio Trollius
 *	Copyright 1995 The Ohio State University
 *	RBD
 *
 *	$Log:	lamunix.c,v $
 * Revision 6.0  96/02/29  13:47:22  gdburns
 * Ohio Release
 * 
 * Revision 5.2.1.1  96/02/10  19:39:09  gdburns
 * Add _lam_atexit().
 * 
 * Revision 5.2  94/08/22  13:57:03  gdburns
 * Ohio Release
 * 
 * Revision 5.1  94/05/18  10:56:50  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/04/22  12:35:01  gdburns
 * Ohio Release
 * 
 *	Function:	- We make UNIX portable in here!
 *			- #ifdef'ing the universe is cool!
 */

#include <signal.h>

/*
 * global functions
 */
void			(*(_lam_signal()))();
void			_lam_atexit();

/*
 *	_lam_signal
 *
 *	Function:	- signal() wrapper
 */
void (*(
_lam_signal(signum, handler)))()

int			signum;
void			(*handler)();

{
	struct sigaction
			new, old;

	new.sa_handler = handler;
	sigemptyset(&new.sa_mask);
	new.sa_flags = 0;

#if defined(RS6K) || defined(DECAXP) || defined(SUN4_SOL)
	new.sa_flags |= SA_RESTART;
#endif

	if (sigaction(signum, &new, &old)) {
		return(SIG_ERR);
	}

	return(old.sa_handler);
}

/*
 *	_lam_atexit
 *
 *	Function:	- wrapper for atexit()
 */
void
_lam_atexit(func)

void			(*func)();

{
#if SUN4_OS
	on_exit((int ((*)())) func, (char *) 0);
#else
	atexit(func);
#endif
}
