/*
 *	Ohio Trollius
 *	Copyright 1994 The Ohio State University
 *	GDB
 *
 *	$Log:	rfatexit.c,v $
 * Revision 6.0  96/02/29  13:50:06  gdburns
 * Ohio Release
 * 
 * Revision 5.2  94/08/22  13:59:12  gdburns
 * Ohio Release
 * 
 * Revision 5.1  94/05/18  10:58:08  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/04/22  12:38:24  gdburns
 * Ohio Release
 * 
 * Revision 2.2.1.1  94/02/21  17:57:51  raja
 * Remove backward compatibility functions.
 * 
 * Revision 2.2  92/04/30  14:41:30  trillium
 * Ohio Release
 *
 * Revision 2.1  91/02/24  20:57:39  gdburns
 * Ohio Release
 *
 *	Function:	- close file descriptors
 *			- don't bother with standard I/O
 */

#include <freq.h>

/*
 * external variables
 */
extern struct fclient	_ufd[];		/* client file descs */

/*
 * external functions
 */
extern int		rfclose();

void
rfatexit()
{
	int		i;		/* favourite index */

	for (i = 0 ; i < FUMAX ; i++) {

		if (_ufd[i].fu_tfd > 2) {

			if (_ufd[i].fu_tflags) {
				rfclose(i);
			}
		}
	}
}
