/*
 *	Ohio Trollius
 *	Copyright 1994 The Ohio State University
 *	RBD
 *
 *	$Log:	dupfn.c,v $
 * Revision 6.0  96/03/03  22:54:47  nevin
 * Ohio Release
 * 
 * Revision 5.2.1.2  96/03/03  22:53:59  nevin
 * Correct argument list
 * 
 * Revision 5.2.1.1  96/02/18  21:21:18  gdburns
 * major overhaul
 * 
 * Revision 5.2  94/08/22  14:04:08  gdburns
 * Ohio Release
 * 
 * Revision 5.1  94/05/18  12:50:40  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/05/18  12:48:11  gdburns
 * new for 5.1
 * 
 *	Function:	- pre-defined simple attribute copy function
 *	Accepts:	- communicator
 *			- key value
 *			- extra state info
 *			- in attribute value
 *			- out attribute value (returned value)
 *			- flag (returned)
 *	Returns:	- MPI_SUCCESS
 */

#include <mpi.h>

int
MPI_DUP_FN(comm, key, extra, attrin, attrout, flag)

MPI_Comm		comm;
int			key;
void			*extra;
void			*attrin;
void			*attrout;
int			*flag;

{
	*flag = 1;
	*((void **) attrout) = attrin;

	return(MPI_SUCCESS);
}
