/*
 *	Ohio Trollius
 *	Copyright 1994 The Ohio State University
 *	RBD
 *
 *	$Log:	wtick.c,v $
 * Revision 6.0  96/02/29  14:14:02  gdburns
 * Ohio Release
 * 
 * Revision 5.2  94/08/22  14:05:25  gdburns
 * Ohio Release
 * 
 * Revision 5.1  94/05/18  12:52:09  gdburns
 * Ohio Release
 * 
 * Revision 2.3  94/05/18  12:48:58  gdburns
 * new for 5.1
 * 
 *	Function:	- return timer resolution
 *	Returns:	- time resolution in seconds
 */

#include <net.h>

double
MPI_Wtick()

{
	double		t;

	t = ttime();
	t = ttime() - t;

	return( (t > 0) ? t : (double) 1.0e-6);
}
